package com.xy.utils;

import cn.hutool.json.JSONObject;
import com.xy.producer.LogsProducerConfiguration;
import com.xy.producer.MqttConsumeErrorDataProducer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class MqttConsumeErrorDataUtils {

    private static MqttConsumeErrorDataProducer mqttConsumeErrorDataProducer;

    @Autowired(required = false)
    public void setMqttProducer(MqttConsumeErrorDataProducer mqttConsumeErrorDataProducer) {
        MqttConsumeErrorDataUtils.mqttConsumeErrorDataProducer = mqttConsumeErrorDataProducer;
    }

    /**
     * 添加异常
     */
    public static void save(String topic, String msg) {
        JSONObject jsonObject = new JSONObject()
                .set("topic", topic)
                .set("msg", msg)
                .set("createTime", DataTime.getSring());
        mqttConsumeErrorDataProducer.sendToMqtt(jsonObject.toString(), LogsProducerConfiguration.TOPIC, 0);
    }

}
